For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

List Users

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
first_namestring · nullableOptional

Filter users by first name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

last_namestring · nullableOptional

Filter users by last name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
rolestring[] · nullableOptional
source_integration_idstring · nullableOptional
source_integration_namestring · nullableOptional
Responses
200

OK

application/json
get/api/admin/v3/users
GET /api/admin/v3/users HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text",
      "email": "text",
      "email_aliases": [
        "text"
      ],
      "first_name": "text",
      "last_name": "text",
      "active": true,
      "roles": [
        "text"
      ],
      "source_integration_id": "text",
      "source_integration_name": "text",
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Get User

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired

Unique identifier of the user

emailstringRequired

The user’s primary email address

email_aliasesstring[]Required

A list of additional email addresses associated with the user

first_namestringRequired

The user’s first name

last_namestringRequired

The user’s family name or surname

activebooleanRequired

Indicates whether the user is currently active within Apono

rolesstring[]Required

A list of roles assigned to the user, representing their permissions (e.g. Admin, Power User, Deployment, Viewer)

source_integration_idstring · nullableOptional

Unique Apono identifier of the integration providing the entity

source_integration_namestring · nullableOptional

Display name of the integration providing the entity

get/api/admin/v3/users/{id}
GET /api/admin/v3/users/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "email": "text",
  "email_aliases": [
    "text"
  ],
  "first_name": "text",
  "last_name": "text",
  "active": true,
  "roles": [
    "text"
  ],
  "source_integration_id": "text",
  "source_integration_name": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

list users

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/api/v2/users
GET /api/v2/users HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "data": [
    {
      "id": "text",
      "email": "text",
      "first_name": "text",
      "last_name": "text",
      "active": true
    }
  ],
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1
  }
}

get user by Id or Email

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired
emailstringRequired
first_namestringRequired
last_namestringRequired
activebooleanRequired
get/api/v2/users/{id}
GET /api/v2/users/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "email": "text",
  "first_name": "text",
  "last_name": "text",
  "active": true
}

Last updated

Was this helpful?